=== debian/changelog ===
obs-source-clone (0.1.1-6) unstable; urgency=medium

  * debian/rules: removed temporary workaround to exclude extra installed
    files in favor of the '-DLINUX_PORTABLE=Off' argument for CMake.
  * debian/upstream/metadata: updated Donation field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 21 Feb 2023 18:33:50 -0300

obs-source-clone (0.1.1-5) unstable; urgency=medium

  * debian/control: bumped relationships for libobs-dev and obs-studio to 29.
  * debian/rules: fixed execute_after_dh_install target.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 06 Feb 2023 11:01:51 -0300

obs-source-clone (0.1.1-4) unstable; urgency=medium

  * debian/watch: using filenamemangle to generate right names for downloaded
    files.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 31 Jan 2023 21:47:10 -0300

obs-source-clone (0.1.1-3) unstable; urgency=medium

  * debian/rules: added a target to check if translation to pt_BR is updated.
  * debian/upstream/metadata: added Screenshots field.
  * debian/watch: improved the search rule, checking if the upstream forgotten
    to add a tag on GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 30 Jan 2023 12:49:24 -0300

obs-source-clone (0.1.1-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/patches/010_add-pt-BR.patch: created to add translation to pt_BR.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 24 Jan 2023 17:27:34 -0300

obs-source-clone (0.1.1-1) experimental; urgency=medium

  * Initial release. (Closes: #1029560)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 24 Jan 2023 11:21:27 -0300
