=== debian/control ===
Source: obs-source-clone
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29)
Standards-Version: 4.6.2
Homepage: https://obsproject.com/forum/resources/source-clone.1632/
Vcs-Browser: https://salsa.debian.org/debian/obs-source-clone
Vcs-Git: https://salsa.debian.org/debian/obs-source-clone.git

Package: obs-source-clone
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 29)
Enhances: obs-studio
Description: plugin for OBS Studio to clone sources from a scene
 This plugin lets to clone sources to allow different filters than the
 original. The main idea is generate a new source type that gets sources
 from a scene and clone them in current scene.
 .
 WARNING: Source Clone is not an async source. In OBS there are async
 sources that can have more types of filters.
 .
 To use Source Clone, click over the "plus" signal inside the Sources
 Dock.
