## obs-source-clone 0.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
   cmake_minimum_required(VERSION 3.18)
 endif()
 
-project(source-clone VERSION 0.1.1)
+project(source-clone VERSION 0.1.4)
 set(PROJECT_FULL_NAME "Source Clone")
 
 # Set new UUIDs when you start to create a new plugin.
@@ -19,12 +19,18 @@
 
 target_sources(${PROJECT_NAME} PRIVATE
 	source-clone.c
+	audio-wrapper.c
 	source-clone.h
+	audio-wrapper.h
 	version.h)
 
 if(BUILD_OUT_OF_TREE)
 	find_package(libobs REQUIRED)
+	find_package(obs-frontend-api REQUIRED)
 	include(cmake/ObsPluginHelpers.cmake)
+	set(OBS_FRONTEND_API_NAME "obs-frontend-api")
+else()
+	set(OBS_FRONTEND_API_NAME "frontend-api")
 endif()
   
 if(OS_WINDOWS)
@@ -52,6 +58,7 @@
 endif()
 
 target_link_libraries(${PROJECT_NAME}
+	OBS::${OBS_FRONTEND_API_NAME}
 	OBS::libobs)
 
 if(BUILD_OUT_OF_TREE)
@@ -67,6 +74,8 @@
     install(DIRECTORY data/locale
         DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
 else()
+    target_include_directories(${PROJECT_NAME} PRIVATE
+        "${CMAKE_SOURCE_DIR}/UI/obs-frontend-api")
     set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro")
 endif()
 setup_plugin_target(${PROJECT_NAME})
