=== debian/changelog ===
obs-source-clone (0.1.4-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 24 Jul 2023 13:02:41 -0300

obs-source-clone (0.1.4-1) unstable; urgency=medium

  * New upstream version 0.1.4.
  * debian/control: added a Breaks field to make this plugin incompatible with
    obs-text-slideshow (<= 1.5.2-3), no longer in Debian.
  * debian/copyright: updated upstream copyright years.
  * debian/patches/:
      - 010_add-pt-BR.patch: updated to be compliant with the current upstream
        release.
      - 020_add-EOF.patch: created to add an EOF to en-US translation.
  * debian/rules: using 'export DEB_CFLAGS_MAINT_APPEND = -Wno-psabi' to avoid
    a FTBFS in 32-bit archs when building with GCC-12.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 13 Jun 2023 12:59:31 -0300
