=== debian/changelog ===
obs-source-clone (0.1.5-1) unstable; urgency=medium

  * New upstream version 0.1.5. (Closes: #1071541)
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/patches/:
      - Removed the following patches because the upstream fixed the source
        code (thanks):
          ~ 010_add-pt-BR.patch
          ~ 020_add-EOF.patch]
      - 010_update_pt-BR.patch: created to updated pt-BR translation.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 22 May 2024 12:29:45 -0300
