=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 29)
 Enhances: obs-studio
+Breaks: obs-text-slideshow (<= 1.5.2-3)
 Description: plugin for OBS Studio to clone sources from a scene
  This plugin lets to clone sources to allow different filters than the
  original. The main idea is generate a new source type that gets sources
