## obs-source-clone 0.2.1

=== debian/changelog ===
obs-source-clone (0.2.1-1) unstable; urgency=medium

  * New upstream version 0.2.1.
  * debian/clean: added cmake/.CMakeBuildNumber.
  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
      - Updated dependencies to require libobs-dev and obs-studio >= 32.
        (Closes: #1128461)
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/patches/010_update_pt-BR.patch: updated translation to pt-BR.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 22 Feb 2026 22:12:07 -0300
