=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: obs-source-clone
 Section: video
-Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29)
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 32)
+Standards-Version: 4.7.3
 Homepage: https://obsproject.com/forum/resources/source-clone.1632/
 Vcs-Browser: https://salsa.debian.org/debian/obs-source-clone
 Vcs-Git: https://salsa.debian.org/debian/obs-source-clone.git
@@ -12,7 +10,7 @@
 Package: obs-source-clone
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 29)
+Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 32)
 Enhances: obs-studio
 Breaks: obs-text-slideshow (<= 1.5.2-3)
 Description: plugin for OBS Studio to clone sources from a scene
